QGIS Application - Bug report #18063
QGIS 2.18.16 crash while exporting to PDF a rotated map
2018-02-08 03:16 PM - luca76 -

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.18.16 Regression?: No
Operating System: Windows 7 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corruptsdata: Copied to github as #: 25959
Description

Hi,

On Windows 7 Professional 64 bit, QGIS 2.18.16 exporting to PDF, crashes with an composer layout with one map rotated to 270
dregrees. The problem doesn't occur if | set it to 269.99°. Maybe a division by zero bug?

History

#1 - 2018-02-08 03:49 PM - luca76 -
- File gconsolidate.zip added

#2 - 2018-02-08 03:50 PM - luca76 -

I've attached a project file that demonstrates the bug. Open the project, open the included composer layout, try to export to PDF ... baaam!

p.s. works in Fedora 27 Linux, but not in Windows 7 64 bit.

#3 - 2018-02-08 04:05 PM - luca76 -

On QGIS 2.14.x and QGIS 3.0 nightly | can export. So | believe it's a regression.

p.s. Furthermore, this project is very slow to load. | note that QGIS is stalling at "Loading composer...". What is it doing?

#4 - 2018-02-13 04:55 PM - Michel Stuyts

| opened your project in QGIS 2.18.16 on Windows 7 Professional 64bit and exported the layout to pdf and QGIS crashed.

| also tried one of my own projects, created a layout with a map rotated to 270° and | could export to pdf without a problem.

#5 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-01-21 01:59 PM - salvatore fiandaca
| just did a test in win 10 64b 2.18.28 (OSGeo4W) - | do not see the background, but | can print in PDF without problems.

| repeated the test in 3.4.4, everything works fine.

#7 - 2019-01-21 02:04 PM - Jiirgen Fischer
- Resolution set to wontfix
- Status changed from Feedback to Closed

Files

qgconsolidate.zip 26 KB 2018-02-08 luca76 -
